This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 197442 - Review Request: fatsort - sort fat of FAT32/FAT16 on cheap mp3 players
Review Request: fatsort - sort fat of FAT32/FAT16 on cheap mp3 players
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-01 11:31 EDT by Till Maas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 06:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2006-07-01 11:31:13 EDT
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/fatsort.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/fatsort-0.9.6.1-1.src.rpm
Description: Fatsort is a utility written in C to sort FAT16 and FAT32 filesystems. It is needed to sort files on cheap mp3 players that display files not sorted by their name but by their entry in the file allocation table.
Comment 1 Till Maas 2006-07-01 11:39:12 EDT
I forgot to mention that I this is my first package and I need a sponsor. By 
the way, a review should be very simple, since this is a small package, it 
builds fast in mock and rpmlint does not complain about anything.
Comment 3 Parag AN(पराग) 2006-07-06 05:38:57 EDT
== Not an official review as I'm not yet sponsored ==
Mock build for development i386 is sucessfull
 
* MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package fatsort, in the
format fatsort.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: This Package contains License file as LICENSE.txt
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (ddf8e98b27455da104e8cca13d29d0cc).
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
      - MUST: Package did NOT contained any .la libtool archives.
    
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct

Comment 4 John Mahowald 2006-07-26 22:40:54 EDT
Builds fine on devel x86_64, anyone have a FAT partition they want to mess up, I
mean, test with this? ;)
Comment 5 Till Maas 2006-07-28 08:54:22 EDT
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/fatsort.spec
SRPM URL:
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/fatsort-0.9.6.1-3.fc5.src.rpm

I use $RPM_OPT_FLAGS instead of %{optflags} now.

Using mount -o loop and mkfs.vfat you can make a FAT partition in an file to
test this.
Comment 6 John Mahowald 2006-08-17 15:51:49 EDT
Looking good

+ Built on FC5 x86_64
+ Did not harm a vfat partition I tested it with
+ License (GPL)
+ spec readable
+ Name good
+ source matches upstream
+ macro usage
+ file ownership and permissions

APPROVED

I'll sponsor, apply for cvsextras.
Comment 7 Till Maas 2006-08-24 06:39:23 EDT
Built successfully for devel.

Note You need to log in before you can comment on or make changes to this bug.